SNAPSERVER(1)

NAME
snapserver - Snapcast server

SYNOPSIS
snapserver [OPTION]...

DESCRIPTION
Snapcast is a multiroom client-server audio player, where all clients are time synchronized with the server to play perfectly synced audio. It's not a standalone player, but an extension that turns your existing audio player into a Sonos-like multiroom solution.
The server's audio input is a named pipe `/data/data/com.termux/files/usr/tmp/snapfifo`. All data that is fed into this file will be send to the connected clients. One of the most generic ways to use Snapcast is in conjunction with the music player daemon or Mopidy, which can be configured to use a named pipe as audio output.

  Allowed options:

-h, --help
    Produce help message, use -hh to show options from config file

-v, --version
    Show version number

-d, --daemon [=arg(=0)]
    Daemonize optional process priority [-20..19]

-c, --config arg (=/etc/snapserver.conf)
    Path to the configuration file

FILES

/data/data/com.termux/files/usr/tmp/snapfifo
    PCM input fifo file

/etc/default/snapserver
    the daemon default configuration file

/etc/snapserver.conf
    the snapserver configuration file

~/.config/snapcast/server.json or (if $HOME is not set) /var/lib/snapcast/server.json
    persistent server data file

COPYRIGHT
Copyright (C) 2014-2025 Johannes Pohl (snapcast@badaix.de). License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
snapclient(1)